import 'package:flutter/material.dart';

import 'Pages/Favorite/FavoritePage.dart';
import 'Pages/Home/HomePage.dart';
import 'Pages/Pluse/PlusePage.dart';
import 'Pages/Profile/ProfilePage.dart';
import 'Pages/Search/SearchPage.dart';

class MyHomePage extends StatefulWidget {
  @override
  State<StatefulWidget> createState() {
    // TODO: implement createState
    return MyHomePageState();
  }
}

class MyHomePageState extends State<MyHomePage> {
  // نگهدارنده نام صفحه در حال انتخاب
  String currentPageName = 'home';

  // مجموعه حاوی ویجت های صفحات
  final Map<String, Widget> PageLoad = <String, Widget>{
    'home': new HomePage(),
    'pluse': new PlusePage(),
    'search': new SearchPage(),
    'profile': new ProfilePage(),
    'favorite': new FavoritePage()
  };

  // تابع تغییر صفحه پس از تاچ کردن کاربر
  changePage(String page) {
    setState(() {
      currentPageName = page;
    });
  }

  // تغییر رنگ آیکون فعال
  Color currentColor(String page) {
    return currentPageName == page ? Colors.black : Colors.blueGrey;
  }

  // سازنده ویجت AppBar
  final appbar = new AppBar(
    backgroundColor: Colors.white70,
    leading: IconButton(
      icon: Icon(Icons.camera_alt),
      onPressed: () {
        print('leading');
      },
    ),
    elevation: 1.0,
    title: SizedBox(
      height: 40.0,
      child: Image.network('https://javareshkian.ir/wp-content/uploads/2020/04/Instagram.png'),
    ),
    centerTitle: true,
    actions: <Widget>[
      Padding(
        padding: const EdgeInsets.symmetric(horizontal: 12.0),
        child: IconButton(
          icon: Icon(Icons.send),
          onPressed: () {
            print('action1');
          },
        ),
      ),
    ],
  );

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      // فراخوانی ویجت AppBar
      appBar: appbar,
      // فراخوانی تابع انتخاب صفحه
      body: PageLoad[currentPageName],
      bottomNavigationBar: Container(
        height: 50.0,
        color: Colors.white70,
        child: BottomAppBar(
          child: Row(
            mainAxisAlignment: MainAxisAlignment.spaceAround,
            children: <Widget>[
              IconButton(
                icon: Icon(
                  Icons.home,
                  color: currentColor('home'),
                ),
                onPressed: () {
                  changePage('home');
                },
              ),
              IconButton(
                icon: Icon(Icons.search, color: currentColor('search')),
                onPressed: () {
                  changePage('search');
                },
              ),
              IconButton(
                icon: Icon(Icons.add_box, color: currentColor('pluse')),
                onPressed: () {
                  changePage('pluse');
                },
              ),
              IconButton(
                icon: Icon(Icons.favorite, color: currentColor('favorite')),
                onPressed: () {
                  changePage('favorite');
                },
              ),
              IconButton(
                icon: Icon(Icons.account_box, color: currentColor('profile')),
                onPressed: () {
                  changePage('profile');
                },
              ),
            ],
          ),
        ),
      ),
    );
  }
}
