import 'package:flutter/material.dart';

class ListStories extends StatelessWidget {

  @override
  Widget build(BuildContext context) {
    var deviceSize = MediaQuery.of(context).size;

    return Container(
      height: deviceSize.height * 0.10,
      margin: EdgeInsets.all(16.0),
      child: new Column(
        children: <Widget>[TopText, Stories],
      ),
    );
  }

  final TopText = new Row(
    mainAxisAlignment: MainAxisAlignment.spaceBetween,
    children: <Widget>[
      new Text(
        'Stories',
        style: TextStyle(fontWeight: FontWeight.bold),
      ),
      new Row(
        children: <Widget>[
          Text(
            'Watch all',
            style: TextStyle(fontWeight: FontWeight.bold),
          ),
          Icon(Icons.arrow_forward_ios, size: 15.0,),
        ],
      )
    ],
  );

  final Stories = new Expanded(
    child: Padding(
      padding: const EdgeInsets.only(top: 8.0),
      child: ListView.builder(
        scrollDirection: Axis.horizontal,
          itemCount: 15,
          itemBuilder: (context, index) {
            return Stack(
              alignment: Alignment.bottomRight,
              children: <Widget>[
                Container(
                  width: 40.0,
                  height: 40.0,
                  margin: EdgeInsets.symmetric(horizontal: 5.0),
                  decoration: BoxDecoration(
                    shape: BoxShape.circle,
                    image: DecorationImage(
                      image: NetworkImage(
                          'https://javareshkian.ir/wp-content/uploads/2020/04/fakhr-Small-100x100.png'),
                      fit: BoxFit.cover,
                    ),
                  ),
                ),
                index == 0 ? CircleAvatar(
                    radius: 10.0,
                    backgroundColor: Colors.blueAccent,
                    child: Icon(
                      Icons.add,
                      size: 14.0,
                      color: Colors.white,),
                  ) : Container()
              ],
            );
          }),
    ),
  );
}
