import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

class Post extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Container(
      margin: EdgeInsets.only(bottom: 15.0),
      child: Column(
        mainAxisAlignment: MainAxisAlignment.center,
        crossAxisAlignment: CrossAxisAlignment.stretch,
        children: <Widget>[
          Padding(
            padding: const EdgeInsets.only(left: 16.0, right: 16.0),
            child: Row(
              mainAxisAlignment: MainAxisAlignment.spaceBetween,
              children: <Widget>[
                Row(
                  children: <Widget>[
                    Container(
                      margin: const EdgeInsets.only(left: 8.0),
                      width: 40.0,
                      height: 40.0,
                      decoration: BoxDecoration(
                          shape: BoxShape.circle,
                          image: DecorationImage(
                              image: NetworkImage(
                                  'https://javareshkian.ir/wp-content/uploads/2020/04/fakhr-Small-100x100.png'),
                              fit: BoxFit.cover)),
                    ),
                    Text(
                      'محمدمجتبی جوارشکیان',
                      style: TextStyle(fontWeight: FontWeight.bold),
                    )
                  ],
                ),
                IconButton(
                  icon: Icon(Icons.more_vert),
                  onPressed: null,
                )
              ],
            ),
          ),
          Row(
            children: <Widget>[
              Expanded(
                child: Image.network(
                    'https://javareshkian.ir/wp-content/uploads/2020/04/flutter.png'),
              )
            ],
          ),
          Padding(
            padding: const EdgeInsets.only(left: 16.0),
            child: Row(
              mainAxisAlignment: MainAxisAlignment.spaceBetween,
              children: <Widget>[
                Row(
                  children: <Widget>[
                    IconButton(
                      icon: Icon(
                        Icons.favorite_border,
                        color: Colors.black,
                      ),
                      onPressed: null,
                    ),
                    IconButton(
                      icon: Icon(
                        Icons.comment,
                        color: Colors.black,
                      ),
                      onPressed: null,
                    ),
                    IconButton(
                      icon: Icon(
                        Icons.send,
                        color: Colors.black,
                      ),
                      onPressed: null,
                    )
                  ],
                ),
                IconButton(
                  icon: Icon(
                    Icons.turned_in_not,
                    color: Colors.black,
                  ),
                  onPressed: null,
                )
              ],
            ),
          ),
          Padding(
            padding: const EdgeInsets.all(8.0),
            child: Text(
              'محمد،علی،رضا و 520 نفر دیگر این مطلب را لایک کردند',
              style: TextStyle(fontWeight: FontWeight.bold),
            ),
          ),
          Padding(
            padding: const EdgeInsets.symmetric(horizontal: 16.0),
            child: Row(
              children: <Widget>[
                Container(
                  margin: EdgeInsets.only(left: 8.0),
                  width: 40.0,
                  height: 40.0,
                  decoration: BoxDecoration(
                    shape: BoxShape.circle,
                    image: DecorationImage(
                        image: NetworkImage('https://javareshkian.ir/wp-content/uploads/2020/04/Abolhasani.jpg'),
                        fit: BoxFit.cover),
                  ),
                ),
                Expanded(
                  child: TextField(
                    decoration: new InputDecoration(
                      border: InputBorder.none,
                      hintText: 'اضافه کردن یک نظر',

                    )
                  ),
                )
              ],
            ),
          )
        ],
      ),
    );
  }
}
